Board index » delphi » SIBProvider any good?

SIBProvider any good?


2004-06-25 03:32:53 PM
delphi75
I'm looking for a decent OleDB provider to access Firebird
1.0-1.5 and Interbase 6-7 databases.
Also it should be possible to create new databases through
the driver ("create database") and it should support
currency-type floats without rounding errors.
I've found the SIBProvider homepage, is this driver any good?
--
Arthur Hoornweg
(please remove the ".net" from my e-mail address)
 
 

Re:SIBProvider any good?

On Fri, 25 Jun 2004 09:32:53 +0200, Arthur Hoornweg
<XXXX@XXXXX.COM>writes:
Quote
I'm looking for a decent OleDB provider to access Firebird
1.0-1.5 and Interbase 6-7 databases.

Also it should be possible to create new databases through
the driver ("create database") and it should support
currency-type floats without rounding errors.

I've found the SIBProvider homepage, is this driver any good?
I have heard good things about it in the past. However, my attempts
to get a demo version that is not expired, and failing that, my
attempts to contact the author to purchase the source both failed.
--
Noel
 

Re:SIBProvider any good?

I use the version 2.2.1 without problems.
For your needs the right version should be 2.2.2, but I also failed to
contact the author for an upgrade. Looks like a discontinued product? It's
really a pitty the lack of a good (free) ODBC and OLE DB driver for
Firebird.
"Noel" <XXXX@XXXXX.COM>writes
Quote
On Fri, 25 Jun 2004 09:32:53 +0200, Arthur Hoornweg
<XXXX@XXXXX.COM>writes:

>I'm looking for a decent OleDB provider to access Firebird
>1.0-1.5 and Interbase 6-7 databases.
>
>Also it should be possible to create new databases through
>the driver ("create database") and it should support
>currency-type floats without rounding errors.
>
>I've found the SIBProvider homepage, is this driver any good?

I have heard good things about it in the past. However, my attempts
to get a demo version that is not expired, and failing that, my
attempts to contact the author to purchase the source both failed.


--
Noel
 

Re:SIBProvider any good?

On Wed, 30 Jun 2004 16:04:21 -0300, "Ricard David"
<XXXX@XXXXX.COM>writes:
Quote
I use the version 2.2.1 without problems.
For your needs the right version should be 2.2.2, but I also failed to
contact the author for an upgrade. Looks like a discontinued product? It's
really a pitty the lack of a good (free) ODBC and OLE DB driver for
Firebird.
There is a free ODBC driver for FB, just look on the Firebird section
of sourceforge.net
--
Noel